#version 300 es

uniform sampler2D textureMap;

in lowp vec2 vTexCoord0;
in lowp vec2 vTexCoord1;
in lowp vec2 vTexCoord2;

out lowp vec4 fragColor;

void main()
{
    lowp vec3 color = texture( textureMap, vTexCoord0 ).rgb * 0.33333;
    color += texture( textureMap, vTexCoord1 ).rgb * 0.33333;
    color += texture( textureMap, vTexCoord2 ).rgb * 0.33333;
    fragColor = vec4( color, 1.0 );
}

