#version 150 core

uniform sampler2D textureMap;

in vec2 vTexCoord0;
in vec2 vTexCoord1;
in vec2 vTexCoord2;

out vec4 fragColor;

void main()
{
    vec3 color = texture( textureMap, vTexCoord0 ).rgb * 0.33333;
    color += texture( textureMap, vTexCoord1 ).rgb * 0.33333;
    color += texture( textureMap, vTexCoord2 ).rgb * 0.33333;
    fragColor = vec4( color, 1.0 );
}

