#version 150 core
#extension GL_ARB_explicit_attrib_location : enable

uniform vec3 texelOffset; // Only x and y are used.

layout (location = 0) in vec4 aPosition;
layout (location = 1) in vec2 aTexCoord;

out vec2 vTexCoord0;
out vec2 vTexCoord1;
out vec2 vTexCoord2;

void main()
{
    gl_Position = aPosition;
    vTexCoord0 = aTexCoord - texelOffset.xy;
    vTexCoord1 = aTexCoord;
    vTexCoord2 = aTexCoord + texelOffset.xy;
}
