#version 150 core

in vec4 vPosition;

out vec4 fragColor;

void main()
{
    float linearDepth = gl_FragCoord.z;
    
    float dx = dFdx( linearDepth );
    float dy = dFdy( linearDepth );
    
    float moment1 = linearDepth;
    float moment2 = linearDepth * linearDepth + 0.25 * (dx * dx + dy * dy);
    
    fragColor = vec4( moment1, moment2, 0.0, 1.0 );
}

