#version 150 core
#extension GL_ARB_explicit_attrib_location : enable

uniform float uTanHalfFov;
uniform float uAspectRatio;

layout (location = 0) in vec4 aPosition;
layout (location = 1) in vec2 aTexCoord;

out vec2 vTexCoord;
noperspective out vec3 vViewDir;

void main()
{
    gl_Position = aPosition;
    vTexCoord = aTexCoord;
    
    vViewDir = vec3( -aPosition.x * uTanHalfFov * uAspectRatio, -aPosition.y * uTanHalfFov, 1.0 );
}
