#version 300 es

uniform highp float uTanHalfFov;
uniform highp float uAspectRatio;

layout (location = 0) in highp vec4 aPosition;
layout (location = 1) in mediump vec2 aTexCoord;

out mediump vec2 vTexCoord;
out highp vec3 vViewDir;

void main()
{
    gl_Position = aPosition;
    vTexCoord = aTexCoord;
    
    vViewDir = vec3( -aPosition.x * uTanHalfFov * uAspectRatio, -aPosition.y * uTanHalfFov, 1.0 );
}
