#ifndef LOG_H
#define LOG_H

/// Log
namespace Log
{
    void Assert( bool condition, const char* message );

    /*
       Formats a message and prints it into stdout.
       Example: Log::PrintFormat( "My name is %s", name.c_str() ); // where name is a std::string.
       Formatting examples:
       %d: integer
       %s: C-style null-terminated string
       %f: float
    */
    void Print( const char* format, ... );
}
#endif
